import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotZonePrice/` + url, ...arg)

/**
 * 区域价格Api接口管理器
 *
 * @author xiang
 * @date  2023/09/18 17:38
 **/
export default {
	// 获取区域价格分页
	depotZonePricePage(data) {
		return request('page', data, 'get')
	},
	// 获取区域价格列表
	depotZonePriceList(data) {
		return request('list', data, 'get')
	},
	// 提交区域价格表单 edit为true时为编辑，默认为新增
	depotZonePriceSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除区域价格
	depotZonePriceDelete(data) {
		return request('delete', data)
	},
	// 获取区域价格详情
	depotZonePriceDetail(data) {
		return request('detail', data, 'get')
	}
}
